/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.entity.Sourcedic;
import com.tofly.base.service.SourcedicService;
import org.springframework.stereotype.Service;
import com.tofly.base.mapper.SourcedicMapper;

/**
 * 系统资源配置字典表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
@Service("sourcedicService")
public class SourcedicServiceImpl extends ServiceImpl<SourcedicMapper, Sourcedic> implements SourcedicService {

    @Override
    public boolean selectByCode(String code) {
        QueryWrapper<Sourcedic> wrapper = new QueryWrapper<>();
        wrapper.eq("CODE",code);
        Sourcedic sourcedic = baseMapper.selectOne(wrapper);
        if (sourcedic!=null){
            return false;
        }
        return true;
    }
}
